Zum Hauptinhalt springen

Get a Project file's information

GET/v2/projects/{projectId}/filesystem-files
API-Version
v2
Request-Methode
GET
Operation-ID
project-file-system-list-files

Request​

  • projectIdstringrequired

    ID of the Project.

Responses​

Format
application/json
Beschreibung

OK

  • *
Content-Type: application/json

null
{
"$ref": "#/components/schemas/de.mittwald.v1.project.FilesystemDirectoryListing"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/projects/string/filesystem-files?file=%2Fhome%2Fexample.log
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.projectFileSystem.projectFileSystemListFiles({
"projectId": "string",
"queryParameters": {
"file": "/home/example.log"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\ProjectFileSystem\ProjectFileSystemListFiles\ProjectFileSystemListFilesRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ProjectFileSystemListFilesRequest(
projectId: "string"
))
->withFile("/home/example.log");
$response = $client->projectFileSystem()->projectFileSystemListFiles($request);

var_dump($response->getBody();

Auf dieser Seite